> For a complete page index, fetch https://docs.transak.com/llms.txt # Get Orders GET https://api-gateway-stg.transak.com/api/v2/orders The **Get Orders** is an **authenticated API** that allows partners to **fetch a list of all orders** placed by a user. This API provides **detailed transaction history**, including the **order status, fiat and crypto details, payment method, and wallet address**. This API helps **track multiple transactions** and ensures partners can monitor the order statuses in real-time. Reference: https://docs.transak.com/api/whitelabel/orders/get-orders ## Request ### Headers - `x-user-ip` (string, required) — End user's originating IP. More details [here](/guides/mandatory-security-changes#user-ip-header-in-apis) - `x-api-key` (string, required) — Partner API Key present in Transak Dashboard. - `authorization` (string, optional) — Authorization token is the accessToken received from the API -` api/v2/auth/verify` Note: This is not applicable for [Auth Reliance Flows](/features/auth-reliance) - `x-user-identifier` (string, optional) — Your authenticated user Email Id address. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) - `x-access-token` (string, optional) — Your Partner Access Token. Please refer [here](/guides/how-to-create-partner-access-token) for a tutorial on generating your access token. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) ## Response ### 200 200 - Success - `data` (list of ApiV2OrdersGetResponsesContentApplicationJsonSchemaDataItems, required) ## Errors ### 400 Bad Request Error 400 - Bad Request - `error` (ApiV2OrdersGetResponsesContentApplicationJsonSchemaError, required) ### 401 Unauthorized Error 401 - Authorization Required - `error` (ApiV2OrdersGetResponsesContentApplicationJsonSchemaError, required) ### 404 Not Found Error 404 - User Not Found - `error` (ApiV2OrdersGetResponsesContentApplicationJsonSchemaError, required) ### 500 Internal Server Error 500 - Internal Server Error - `error` (ApiV2OrdersGetResponsesContentApplicationJsonSchemaError, required) ## Types ### ApiV2OrdersGetResponsesContentApplicationJsonSchemaDataItems - `orderId` (string, required) - `partnerUserId` (string, required) - `status` (string, required) - `isBuyOrSell` (string, required) - `fiatCurrency` (string, required) - `cryptoCurrency` (string, required) - `paymentMethod` (string, required) - `network` (string, required) - `networkId` (string, required) - `walletAddress` (string, required) - `quoteId` (string, required) - `fiatAmount` (integer, required) - `fiatAmountInUsd` (double, required) - `amountPaid` (integer, required) - `cryptoAmount` (double, required) - `conversionPrice` (double, required) - `totalFeeInFiat` (double, required) - `paymentDetails` (list of ApiV2OrdersGetResponsesContentApplicationJsonSchemaDataItemsPaymentDetailsItems, required) - `txHash` (string, required) - `walletLink` (string, required) - `transactionLink` (string, required) ### ApiV2OrdersGetResponsesContentApplicationJsonSchemaError - `statusCode` (integer, required) - `message` (string, required) ### ApiV2OrdersGetResponsesContentApplicationJsonSchemaDataItemsPaymentDetailsItems - `fiatCurrency` (string, required) - `paymentMethod` (string, required) - `name` (string, required) - `fields` (list of ApiV2OrdersGetResponsesContentApplicationJsonSchemaDataItemsPaymentDetailsItemsFieldsItems, required) - `redirectUrl` (string, optional) — URL for Open Banking payment authorization (only present for Open Banking payments) ### ApiV2OrdersGetResponsesContentApplicationJsonSchemaDataItemsPaymentDetailsItemsFieldsItems - `name` (string, required) - `value` (string, required) ## Examples **Response** ```json { "data": [ { "orderId": "f34df59c-3ba4-41f1-962c-8c7945bf83ff", "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966", "status": "COMPLETED", "isBuyOrSell": "BUY", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "paymentMethod": "gbp_bank_transfer", "network": "ethereum", "networkId": "", "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "quoteId": "77f9e792-e806-4868-93df-5d688789d783", "fiatAmount": 18, "fiatAmountInUsd": 20.5, "amountPaid": 18, "cryptoAmount": 0.01134213, "conversionPrice": 0.0006820282621767891, "totalFeeInFiat": 1.37, "paymentDetails": [ { "fiatCurrency": "", "paymentMethod": "", "name": "Bank Transfer Details", "fields": [ { "name": "Account Type", "value": "Personal" }, { "name": "Amount", "value": "18 GBP" }, { "name": "First Name (Beneficiary)", "value": "Doe" }, { "name": "Last Name (Beneficiary)", "value": "Jane" }, { "name": "IBAN", "value": "GB40SEOU19870010352376" }, { "name": "Bank Name", "value": "Simulator Bank" }, { "name": "Bank Country", "value": "Malta" }, { "name": "Bank Address", "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR" } ] } ], "txHash": "DUMMY_TX_ID", "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID" }, { "orderId": "faacef31-2a81-4fd4-8e5e-6e2a23b50d7c", "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966", "status": "COMPLETED", "isBuyOrSell": "BUY", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "paymentMethod": "gbp_bank_transfer", "network": "ethereum", "networkId": "", "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "quoteId": "9ba24724-656d-4932-8a9f-9bcafedcc629", "fiatAmount": 18, "fiatAmountInUsd": 20.5, "amountPaid": 18, "cryptoAmount": 0.01133008, "conversionPrice": 0.0006813036680697535, "totalFeeInFiat": 1.37, "paymentDetails": [ { "fiatCurrency": "", "paymentMethod": "", "name": "Bank Transfer Details", "fields": [ { "name": "Account Type", "value": "Personal" }, { "name": "Amount", "value": "18 GBP" }, { "name": "First Name (Beneficiary)", "value": "Doe" }, { "name": "Last Name (Beneficiary)", "value": "Jane" }, { "name": "IBAN", "value": "GB40SEOU19870010352376" }, { "name": "Bank Name", "value": "Simulator Bank" }, { "name": "Bank Country", "value": "Malta" }, { "name": "Bank Address", "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR" } ] } ], "txHash": "DUMMY_TX_ID", "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID" }, { "orderId": "3a3f8a5f-03d5-4911-9dd6-c24d77f5b9e4", "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966", "status": "CANCELLED", "isBuyOrSell": "BUY", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "paymentMethod": "gbp_bank_transfer", "network": "ethereum", "networkId": "", "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "quoteId": "95d4eba1-a77d-48a7-83c5-9ca3b36db7e6", "fiatAmount": 18, "fiatAmountInUsd": 20.5, "amountPaid": 0, "cryptoAmount": 0.01131937, "conversionPrice": 0.0006806597203631292, "totalFeeInFiat": 1.37, "paymentDetails": [ { "fiatCurrency": "", "paymentMethod": "", "name": "Bank Transfer Details", "fields": [ { "name": "Account Type", "value": "Personal" }, { "name": "Amount", "value": "18 GBP" }, { "name": "First Name (Beneficiary)", "value": "Jane" }, { "name": "Last Name (Beneficiary)", "value": "Doe" }, { "name": "IBAN", "value": "GB40SEOU19870010352376" }, { "name": "Bank Name", "value": "Simulator Bank" }, { "name": "Bank Country", "value": "Malta" }, { "name": "Bank Address", "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR" } ] } ], "txHash": "", "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "transactionLink": "" }, { "orderId": "13dcc40a-1cf5-4233-b1d4-1058c0c5d7ca", "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966", "status": "COMPLETED", "isBuyOrSell": "BUY", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "paymentMethod": "gbp_bank_transfer", "network": "ethereum", "networkId": "", "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "quoteId": "95d4eba1-a77d-48a7-83c5-9ca3b36db7e6", "fiatAmount": 18, "fiatAmountInUsd": 20.5, "amountPaid": 18, "cryptoAmount": 0.01131095, "conversionPrice": 0.0006801533373421528, "totalFeeInFiat": 1.37, "paymentDetails": [ { "fiatCurrency": "", "paymentMethod": "", "name": "Bank Transfer Details", "fields": [ { "name": "Account Type", "value": "Personal" }, { "name": "Amount", "value": "18 GBP" }, { "name": "First Name (Beneficiary)", "value": "Jane" }, { "name": "Last Name (Beneficiary)", "value": "Doe" }, { "name": "IBAN", "value": "GB40SEOU19870010352376" }, { "name": "Bank Name", "value": "Simulator Bank" }, { "name": "Bank Country", "value": "Malta" }, { "name": "Bank Address", "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR" } ] } ], "txHash": "DUMMY_TX_ID", "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID" }, { "orderId": "e053ef3e-2b89-4fa6-9679-89f31fe39625", "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966", "status": "COMPLETED", "isBuyOrSell": "BUY", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "paymentMethod": "gbp_bank_transfer", "network": "ethereum", "networkId": "", "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "quoteId": "3417136e-2a64-4c3d-ba20-ac1dc2890285", "fiatAmount": 18, "fiatAmountInUsd": 20.5, "amountPaid": 18, "cryptoAmount": 0.01134179, "conversionPrice": 0.0006820078171978352, "totalFeeInFiat": 1.37, "paymentDetails": [ { "fiatCurrency": "", "paymentMethod": "", "name": "Bank Transfer Details", "fields": [ { "name": "Account Type", "value": "Personal" }, { "name": "Amount", "value": "18 GBP" }, { "name": "First Name (Beneficiary)", "value": "Jane" }, { "name": "Last Name (Beneficiary)", "value": "Doe" }, { "name": "IBAN", "value": "GB40SEOU19870010352376" }, { "name": "Bank Name", "value": "Simulator Bank" }, { "name": "Bank Country", "value": "Malta" }, { "name": "Bank Address", "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR" } ] } ], "txHash": "DUMMY_TX_ID", "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID" }, { "orderId": "fb41f15b-3940-4903-8ef6-c020b157195c", "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966", "status": "CANCELLED", "isBuyOrSell": "BUY", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "paymentMethod": "gbp_bank_transfer", "network": "ethereum", "networkId": "", "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "quoteId": "baa479af-45df-46b4-94bc-614979019fdf", "fiatAmount": 18, "fiatAmountInUsd": 20.5, "amountPaid": 0, "cryptoAmount": 0.01139933, "conversionPrice": 0.0006854680566352902, "totalFeeInFiat": 1.37, "paymentDetails": [ { "fiatCurrency": "", "paymentMethod": "", "name": "Bank Transfer Details", "fields": [ { "name": "Account Type", "value": "Personal" }, { "name": "Amount", "value": "18 GBP" }, { "name": "First Name (Beneficiary)", "value": "Jane" }, { "name": "Last Name (Beneficiary)", "value": "Doe" }, { "name": "IBAN", "value": "GB40SEOU19870010352376" }, { "name": "Bank Name", "value": "Simulator Bank" }, { "name": "Bank Country", "value": "Malta" }, { "name": "Bank Address", "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR" } ] } ], "txHash": "", "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "transactionLink": "" }, { "orderId": "fe85f604-cf3a-49ac-9159-992d0144c275", "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966", "status": "COMPLETED", "isBuyOrSell": "BUY", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "paymentMethod": "gbp_bank_transfer", "network": "ethereum", "networkId": "", "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "quoteId": "cc103da1-923d-4d00-92a6-b6612a640aae", "fiatAmount": 18, "fiatAmountInUsd": 20.5, "amountPaid": 18, "cryptoAmount": 0.01139933, "conversionPrice": 0.0006854678292242934, "totalFeeInFiat": 1.37, "paymentDetails": [ { "fiatCurrency": "", "paymentMethod": "", "name": "Bank Transfer Details", "fields": [ { "name": "Account Type", "value": "Personal" }, { "name": "Amount", "value": "18 GBP" }, { "name": "First Name (Beneficiary)", "value": "Jane" }, { "name": "Last Name (Beneficiary)", "value": "Doe" }, { "name": "IBAN", "value": "GB40SEOU19870010352376" }, { "name": "Bank Name", "value": "Simulator Bank" }, { "name": "Bank Country", "value": "Malta" }, { "name": "Bank Address", "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR" } ] } ], "txHash": "DUMMY_TX_ID", "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID" }, { "orderId": "ce53eda9-c931-4dca-b352-7e3d4a3dba59", "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966", "status": "COMPLETED", "isBuyOrSell": "BUY", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "paymentMethod": "gbp_bank_transfer", "network": "ethereum", "networkId": "", "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "quoteId": "b0acd653-b509-4b98-9bf6-49994ba516c8", "fiatAmount": 18, "fiatAmountInUsd": 20.5, "amountPaid": 18, "cryptoAmount": 0.01144016, "conversionPrice": 0.0006879230306674685, "totalFeeInFiat": 1.37, "paymentDetails": [ { "fiatCurrency": "", "paymentMethod": "", "name": "Bank Transfer Details", "fields": [ { "name": "Account Type", "value": "Personal" }, { "name": "Amount", "value": "18 GBP" }, { "name": "First Name (Beneficiary)", "value": "Jane" }, { "name": "Last Name (Beneficiary)", "value": "Doe" }, { "name": "IBAN", "value": "GB40SEOU19870010352376" }, { "name": "Bank Name", "value": "Simulator Bank" }, { "name": "Bank Country", "value": "Malta" }, { "name": "Bank Address", "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR" } ] } ], "txHash": "DUMMY_TX_ID", "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID" }, { "orderId": "9de4904c-7814-480c-9019-bd899f1193e1", "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966", "status": "EXPIRED", "isBuyOrSell": "BUY", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "paymentMethod": "gbp_bank_transfer", "network": "ethereum", "networkId": "", "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "quoteId": "b0acd653-b509-4b98-9bf6-49994ba516c8", "fiatAmount": 18, "fiatAmountInUsd": 19.98, "amountPaid": 0, "cryptoAmount": 0.01127478, "conversionPrice": 0.0006779781050920668, "totalFeeInFiat": 1.37, "paymentDetails": [ { "fiatCurrency": "", "paymentMethod": "", "name": "Bank Transfer Details", "fields": [ { "name": "Account Type", "value": "Personal" }, { "name": "Amount", "value": "18 GBP" }, { "name": "First Name (Beneficiary)", "value": "Jane" }, { "name": "Last Name (Beneficiary)", "value": "Doe" }, { "name": "IBAN", "value": "GB40SEOU19870010352376" }, { "name": "Bank Name", "value": "Simulator Bank" }, { "name": "Bank Country", "value": "Malta" }, { "name": "Bank Address", "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR" } ] } ], "txHash": "", "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "transactionLink": "" } ] } ``` **SDK Code** ```python Success import requests url = "https://api-gateway-stg.transak.com/api/v2/orders" headers = { "x-api-key": "", "x-user-ip": "" } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api-gateway-stg.transak.com/api/v2/orders'; const options = {method: 'GET', headers: {'x-api-key': '', 'x-user-ip': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/orders" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") req.Header.Add("x-user-ip", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/orders") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' request["x-user-ip"] = '' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/orders") .header("x-api-key", "") .header("x-user-ip", "") .asString(); ``` ```php Success request('GET', 'https://api-gateway-stg.transak.com/api/v2/orders', [ 'headers' => [ 'x-api-key' => '', 'x-user-ip' => '', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/orders"); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); request.AddHeader("x-user-ip", ""); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = [ "x-api-key": "", "x-user-ip": "" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/orders")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```